package com.template.model.enumModel;

/**
 * @Author: binguo
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 账号状态
 */
public enum eExamineStatu {
    Agree(1),//同意，并推送
    Refused(2);//已拒绝

    private int value;

    eExamineStatu(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eExamineStatu valueOf(int value) {
        switch (value) {
            case 1:
                return eExamineStatu.Agree;
            case 2:
                return eExamineStatu.Refused;
            default:
                return null;
        }
    }

    public static Integer integerOf(String value) {
        switch (value) {
            case "同意":
                return 1;
            case "已拒绝":
                return 2;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "同意";
            case 2:
                return "已拒绝";
            default:
                return null;
        }
    }
}
